<?php
use Diglactic\Breadcrumbs\Breadcrumbs;
use Diglactic\Breadcrumbs\Generator as BreadcrumbTrail;

// registrasi
Breadcrumbs::for('registrasi', function (BreadcrumbTrail $trail) {
    $trail->push('Registrasi', route('registrasi.index'));
});

Breadcrumbs::for('registrasi.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('registrasi');
    $trail->push('Tambah Registrasi');
});

Breadcrumbs::for('registrasi.show', function (BreadcrumbTrail $trail) {
    $trail->parent('registrasi');
    $trail->push('Detail Permohona');
});
// registrasi
// prosespenawaran
Breadcrumbs::for('tender.prosespenawaran', function (BreadcrumbTrail $trail) {
    $trail->parent('tender');
    $trail->push('Proses Penawaran', route('tender.prosespenawaran.index'));
});

Breadcrumbs::for('tender.prosespenawaran.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaran');
    $trail->push('Tambah Proses Penawaran');
});

Breadcrumbs::for('tender.prosespenawaran.show', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaran');
    $trail->push('Detail Proses Penawaran');
});

Breadcrumbs::for('tender.prosespenawaran.editulang', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaran');
    $trail->push('Tambah Proses Penawaran Ulang');
});

Breadcrumbs::for('tender.prosespenawaran.createPenawaran', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaran');
    $trail->push('Tambah Data Penawaran');
});

Breadcrumbs::for('tender.prosespenawaran.showPermohonan', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaran');
    $trail->push('Detail Proses Penawaran');
});
// prosespenawaran
// Proses Penawaran Ulang
Breadcrumbs::for('tender.prosespenawaranulang', function (BreadcrumbTrail $trail) {
    $trail->parent('tender');
    $trail->push('Proses Penawaran Ulang', route('tender.prosespenawaranulang.index'));
});

Breadcrumbs::for('tender.prosespenawaranulang.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaranulang');
    $trail->push('Tambah Proses Penawaran Ulang');
});

Breadcrumbs::for('tender.prosespenawaranulang.show', function (BreadcrumbTrail $trail) {
    $trail->parent('tender.prosespenawaranulang');
    $trail->push('Detail Proses Penawaran Ulang');
});
// Proses Penawaran Ulang
// Otorisasi Tender
Breadcrumbs::for('otorisasitender', function (BreadcrumbTrail $trail) {
    $trail->push('Otorisasi Tender');
});
Breadcrumbs::for('otorisasitender.penawaran', function (BreadcrumbTrail $trail) {
    $trail->parent('otorisasitender');
    $trail->push('Data Otorisasi Penawaran', route('otorisasitender.penawaran.index'));
});
Breadcrumbs::for('otorisasitender.penawaran.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('otorisasitender.penawaran');
    $trail->push('Tambah Data Otorisasi Penawaran ');
});
Breadcrumbs::for('otorisasitender.penawaran.show', function (BreadcrumbTrail $trail) {
    $trail->parent('otorisasitender.penawaran');
    $trail->push('Detail Data Otorisasi Penawaran');
});
// Otorisasi Tender
// spk
Breadcrumbs::for('spk', function (BreadcrumbTrail $trail) {
    $trail->push('SPK', route('spk.index'));
});
Breadcrumbs::for('spk.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('spk');
    $trail->push('Buat SPK');
});
// spk
// registrasi final
Breadcrumbs::for('registrasifinal', function (BreadcrumbTrail $trail) {
    $trail->push('Registrasi Final', route('registrasifinal.index'));
});
Breadcrumbs::for('registrasifinal.show', function (BreadcrumbTrail $trail) {
    $trail->parent('registrasifinal');
    $trail->push('Detail Registrasi Final');
});
Breadcrumbs::for('registrasifinal.edit', function (BreadcrumbTrail $trail) {
    $trail->parent('registrasifinal');
    $trail->push('Tambah Registrasi Final');
});
// registrasi final

// pembayaran
Breadcrumbs::for('pembayaran', function (BreadcrumbTrail $trail) {
    $trail->push('Pembayaran', route('pembayaran.index'));
});

Breadcrumbs::for('pembayaran.create', function (BreadcrumbTrail $trail) {
        $trail->parent('pembayaran');
        $trail->push('Buat Pembayaran');
    });

    Breadcrumbs::for('pembayaran.edit', function (BreadcrumbTrail $trail) {
        $trail->parent('pembayaran');
        $trail->push('Lakukan Pembayaran');
    });

    Breadcrumbs::for('pembayaran.approval', function (BreadcrumbTrail $trail) {
        $trail->parent('pembayaran');
        $trail->push('Approval Pembayaran');
    });
// pembayaran
